itpp::Channel_Code Class Referenceabstract
Communications Module » Forward Error Correcting Codes

Generic Channel Code class. More...

`#include <itpp/comm/channel_code.h>`

Inheritance diagram for itpp::Channel_Code:

## Public Member Functions

| Channel_Code ()
| Default constructor.
virtual | ~Channel_Code ()
| Destructor.
virtual void | encode (const bvec &uncoded_bits, bvec &coded_bits)=0
| Encode a bvec of input.
virtual bvec | encode (const bvec &uncoded_bits)=0
| Encode a bvec of input.
virtual void | decode (const bvec &codedbits, bvec &decoded_bits)=0
| Decode a bvec of coded data.
virtual bvec | decode (const bvec &coded_bits)=0
| Decode a bvec of coded data.
virtual void | decode (const vec &received_signal, bvec &decoded_bits)=0
| Decode a vec of received data.
virtual bvec | decode (const vec &received_signal)=0
| Decode a vec of received data.
virtual double | get_rate () const =0
| Get the code rate.

## Detailed Description

Generic Channel Code class.

Definition at line 50 of file channel_code.h.

The documentation for this class was generated from the following file:

- itpp/comm/channel_code.h

Generated on Sat Sep 30 2017 07:04:09 for IT++ by Doxygen 1.8.13